Skip to main content
GET
/
clients
/
contacts
/
{candidateId}
Get client contact by candidate ID
curl --request GET \
  --url https://api.gospott.com/clients/contacts/{candidateId} \
  --header 'x-api-key: <api-key>'
{
  "candidateId": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "avatarUrl": "<string>",
  "locations": [
    {
      "street1": "<string>",
      "street2": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "region": "<string>",
      "state": "<string>",
      "country": "<string>",
      "rawCityCountry": "<string>",
      "latitude": 123,
      "longitude": 123,
      "formattedAddress": "<string>"
    }
  ],
  "lastInteractionDate": "2023-11-07T05:31:56Z",
  "lastInteractionWith": {
    "id": "<string>",
    "name": "<string>",
    "avatarUrl": "<string>",
    "deactivatedAt": "2023-11-07T05:31:56Z"
  },
  "nextInteractionDate": "2023-11-07T05:31:56Z",
  "nextInteractionWith": {
    "id": "<string>",
    "name": "<string>",
    "avatarUrl": "<string>",
    "deactivatedAt": "2023-11-07T05:31:56Z"
  },
  "lastActivityDate": "2023-11-07T05:31:56Z",
  "clientContacts": [
    {
      "id": "<string>",
      "company": {
        "id": "<string>",
        "name": "<string>",
        "logoUrl": "<string>"
      },
      "role": "<string>",
      "department": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "active": true,
      "emailAddresses": [
        {
          "email": "jsmith@example.com",
          "isPrimary": true
        }
      ],
      "phoneNumbers": [
        {
          "phoneNumber": "<string>",
          "isPrimary": true
        }
      ],
      "stage": {
        "id": "<string>",
        "order": 123,
        "name": "<string>",
        "colorHex": "<string>"
      },
      "customAttributes": [
        {
          "attributeDefinitionId": "<string>",
          "label": "<string>",
          "aiFillOngoing": true,
          "aiOverridden": true,
          "isFilledByAI": true,
          "value": {
            "text": "<string>"
          }
        }
      ]
    }
  ],
  "nextTaskDue": {
    "id": "<string>",
    "dueDate": "2023-11-07T05:31:56Z",
    "content": "<string>"
  },
  "mainContact": {
    "userId": "<string>",
    "name": "<string>",
    "email": "jsmith@example.com",
    "avatarUrl": "<string>",
    "deactivatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

candidateId
string
required

Response

Successfully retrieved Contact overview

candidateId
string
required
Minimum string length: 1
firstName
string
required
lastName
string
required
avatarUrl
string | null
required
locations
object[]
required
lastInteractionDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
lastInteractionWith
object
required
nextInteractionDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
nextInteractionWith
object
required
lastActivityDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
clientContacts
object[]
required
nextTaskDue
object
required
mainContact
object
required